Subject: Re: [PATCH net-next] netem: fix classful handling

From: Stephen Hemminger <[email-masked]>
Date: Thu, 29 Dec 2011 10:31:49 -0800

On Thu, 29 Dec 2011 19:25:03 +0100
Hagen Paul Pfeifer <[email-masked]> wrote:

> * Eric Dumazet | 2011-12-29 19:10:36 [+0100]:
> 
> >I dont quite understand the question. The patch I posted is supposed to
> >fix the problem. What do you want to tell to the user ?
> 
> I assumed that the patch makes it possible to replace standard tfifo?! Tfifo
> provides strict ordering, other qdisc's do not. So I thought if someone use
> netem rate|jitter with e.g. SFQ then this should be mentioned somewhere. E.g.
> "rate|jitter can only be used with tfifo qdisc". Correct me if I am wrong.
> 
> Cheers

This is actually a feature. It is documented that tfifo can be replaced
with pfifo. In other words, if default (tfifo) is used then packets
can be reordered by the delay/jitter values. But if pfifo (or other
qdisc) is used, the packets will not be reordered.